Subject: Re: 2.6.19: kernel BUG in hugepd_page at arch/powerpc/mm/hugetlbpage.c:58!

From: Nishanth Aravamudan <[email-masked]>
Date: Fri, 12 Jan 2007 13:11:59 -0800

On 12.01.2007 [15:30:17 -0500], Sonny Rao wrote:
> On Fri, Jan 12, 2007 at 02:08:30PM -0600, Adam Litke wrote:
> > On Fri, 2007-01-12 at 14:57 -0500, Sonny Rao wrote:
> > > (Apologies if this is a re-post)
> > >
> > > Hi, I was running 2.6.19 and running some benchmarks using
> > > libhugetlbfs (1.0.1) and I can fairly reliably trigger this bug:
> >
> > Is this triggered by a libhugetlbfs test case?  If so, which one?
> 
> Nope, this was an application/benchmark, but I'm running the testsuite
> on the machine now to see if I can trigger it.

Any idea what the application/benchmark was trying to do? Does it happen
to be open-source? :)

Thanks,
Nish

-- 
Nishanth Aravamudan <[email-masked]>
IBM Linux Technology Center